Job
Get detailed information about a job.
Use the Job resource to retrieve name, status, createdTime, jobType, target, and createdBy information about a job by the job ID.
Syntax
- Resource
-
1baseURI/datatools/apiVersion/jobs/jobId - Availability
- v1.0
- Formats
- REST
- HTTP methods
- GET
Gets detailed information about a job by job ID.
- Authentication
- OAuth
- Request parameters
-
Parameter Description apiVersion Version of the DJ API to use. The current version is v1.0.
For example: v1.0
jobId Job ID for the job. The job ID is unique per Customer 360 Data Manager environment. This ID identifies the job if you want to get information about status or files associated with the job.
For example: core%2fstmfpba44ice1%2f00DRM000000D1or2BC
- Request headers
-
- x-sfdc-domain
- Specifies the instance_url returned in the authentication token.
- accept
- Specifies the type. For this resource, application/json is required.
- authorization
- Specifies the authorization token.
- Request and Response Bodies
- Consult the appropriate version of the Data Jobs RAML Spec.
Example
- GET Request
- Gets job details for job ID a4afaed3-1a5b-3b75-86ae-edad075543df.
-
1curl -vL -X GET \ 2 https://na.api-salesforce.com/datamanager/datatools/v1.0/jobs/a4afaed3-1a5b-3b75-86ae-edad075543df \ 3 -H 'accept: application/json' \ 4 -H 'authorization: Bearer 00DRM000000IeI2!AR4AQC1OYYUuPpKu_8ciEb1pIG4v.Dk_F8og22qkSC4.9nu71ZVtShocTlojXK.fFApWCR_cyklulapwgT85bbHt7IR5jNUq' \ 5 -H 'x-sfdc-domain: shdworg.salesforce.com' - GET Response
-
1{ 2 "id": "a4afaed3-1a5b-3b75-86ae-edad075543df", 3 "name": "CC-Import-Job-July1-API", 4 "status": "SUCCESS", 5 "createdTime": "2020-07-02T00:34:28.353+0000", 6 "jobType": "IMPORT", 7 "target": "commercecloud/dev/ecomvpodint2015354493s01", 8 "createdBy": "005RM000001yVhvYAE" 9}